RESOLVED - IMPORTANT! Do NOT Upgrade Your Client Extender!

Trading, random questions, rants about your favorite sports team loosing, or anything else!
Sage of Souls
Posts: 142

RESOLVED - IMPORTANT! Do NOT Upgrade Your Client Extender!

Post#1 » Sat Aug 24, 2019 3:13 am

There has been an update to the Client Extension program for Neverwinter Nights 2. Do NOT accept this update! If you do so, you will run into an error when loading into the server that says that the game cannot find the map's "walkmesh" and you will hang on a loading screen. The only way to fix this is to revert back to an older version of the Client Extension program.

Following this link and scrolling down to the "Files:" section and downloading the attachment is currently the fastest way of downloading a previous, working version of the Client Extension program.
https://neverwintervault.org/project/nw ... -extension

If, for whatever reason, this site gets updated and the attachment is no longer the older version, you may send me a PM and I will send you to a Dropbox link that has the older version's files in a zip folder.
Wisdom need not come from age or experience. It can be passed down from generation to generation; from one who's learned to another who has yet had to witness such events. One does not need to be ancient to be called Sage.

addict-ant
Posts: 684

Re: IMPORTANT! Do NOT Upgrade Your Client Extender!

Post#2 » Mon Aug 26, 2019 9:27 am

Bump
Image

Samyx
Posts: 679

Re: IMPORTANT! Do NOT Upgrade Your Client Extender!

Post#3 » Tue Aug 27, 2019 5:16 pm

Does anyone know how to prevent that annoying popup asking us to upgrade or ignore, each time we launch the game ?
It would be very easy to do the mistake...

bsb5652
Site Admin
Posts: 2780
Contact:

Re: IMPORTANT! Do NOT Upgrade Your Client Extender!

Post#4 » Sat Aug 31, 2019 1:04 pm

Well, I got bad news everyone. The latest Client Extender royally hoses us. It does not support the module architecture we built on.

Simply put, we have a multi-server instance supporting one total world and the issue is that we put all of our areas in one master module and build the ADL ( Auto downloader ) configuration from that. Why did we do this?? I'm glad you asked, we did this to avoid having players ADL check EVERY time you hop from server to server.

The new client extender does not support this. It is expecting that the server module name match exactly what you have locally. Due to this, it will not load the walk mesh properly, EVEN though you have the proper walk mesh as before in your local module play folder.

What is our next steps?

I'm looking at my options and will let you know where we go from here. It doesn't look like Skywing is going to put things back the way they were for us. So, I'm going to have to enforce ADL per server hop and break up the way adl files work.
Brian Bloom

Realms of Trinity Executive Producer & Game Creator
http://www.realmsoftrinity.com

bsb5652
Site Admin
Posts: 2780
Contact:

Re: IMPORTANT! Do NOT Upgrade Your Client Extender!

Post#5 » Sat Aug 31, 2019 2:40 pm

I have everything working on beta now.

Big notes of concern moving forward once this is rolled out.

FOR EXISTING PLAYERS:

You will have to ADL everything all over again. Please delete the contents of your Neverwinter Nights 2\TrinityTownCenter folder before connecting.

FOR ALL PLAYERS NEW AND OLD:

Uplon login, you will have to ADL all contents for Campaign, HAK, TLK and for the login server module.

Initially, When you connect to Primary, Secondary or Event, you will have another lengthily ADL for each of those modules trx files.

After that it will check for updates only upon each hop to each server.
Brian Bloom

Realms of Trinity Executive Producer & Game Creator
http://www.realmsoftrinity.com

bsb5652
Site Admin
Posts: 2780
Contact:

Re: IMPORTANT! Do NOT Upgrade Your Client Extender!

Post#6 » Sat Aug 31, 2019 3:07 pm

Changes are live. New client extender should be working now.
Brian Bloom

Realms of Trinity Executive Producer & Game Creator
http://www.realmsoftrinity.com

Itaasi
Posts: 802

Re: IMPORTANT! Do NOT Upgrade Your Client Extender!

Post#7 » Sat Aug 31, 2019 4:25 pm

bsb5652 wrote:Changes are live. New client extender should be working now.

New client extender is working now.

On that note, can someone please link me the website for the client extender?
I have something I'm looking into with it, that might benefit not just me, but everyone else too ;)

Belferon
Posts: 209

Re: RESOLVED - IMPORTANT! Do NOT Upgrade Your Client Extender!

Post#8 » Sat Aug 31, 2019 10:32 pm

Just following the link back brought me to here:

http://www.nynaeve.net/?cat=4


Perhaps this guy would be of some help? Not sure if it's distributed elsewhere though. I believe the author is called: Skywing, FYI.

addict-ant
Posts: 684

Re: RESOLVED - IMPORTANT! Do NOT Upgrade Your Client Extender!

Post#9 » Sun Sep 01, 2019 7:25 am

Yes Skywing is the author, I'm told he's contactable through the Neverwinter Vault website.

There doesn't seem to be a link for the new CE - it just asks to update itself when you use the old one.

Big thanks to Brian to figuring it all out, moving all this shizzle about and making things work with the updated extender - many thanks man!
Image

lavda
Posts: 20

Re: RESOLVED - IMPORTANT! Do NOT Upgrade Your Client Extender!

Post#10 » Tue Sep 10, 2019 5:03 pm

Seems to be it
https://steamcommunity.com/linkfilter/? ... Latest.zip

It didn't run for me through wine on linux with old settings so not tested
Couldn't find change log either, so maybe just keep old one.

Return to “General Discussions”

Who is online

Users browsing this forum: No registered users and 5 guests